package com.xzzn.ems.domain.vo;

import com.xzzn.common.annotation.Excel;

import java.math.BigDecimal;
import java.util.List;

/**
 * 电价配置-电价列表-对象
 *
 */
public class EnergyPriceVo {
    /**  */
    private Long id;
    /** 站点id */
    @Excel(name = "站点id")
    private String siteId;
    /** 年份 */
    @Excel(name = "年份")
    private String year;
    /** 月份，如"9"表示9月 */
    @Excel(name = "月份，如\"9\"表示9月")
    private String month;
    /** 尖电价(元/kWh) */
    @Excel(name = "尖电价(元/kWh)")
    private BigDecimal peak;
    /** 峰电价(元/kWh) */
    @Excel(name = "峰电价(元/kWh)")
    private BigDecimal high;
    /** 平电价(元/kWh) */
    @Excel(name = "平电价(元/kWh)")
    private BigDecimal flat;
    /** 谷电价(元/kWh) */
    @Excel(name = "谷电价(元/kWh)")
    private BigDecimal valley;
    /** 电价时间范围对象 */
    private List<EnergyPriceTimeRange> range;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getSiteId() {
        return siteId;
    }

    public void setSiteId(String siteId) {
        this.siteId = siteId;
    }

    public String getYear() {
        return year;
    }

    public void setYear(String year) {
        this.year = year;
    }

    public String getMonth() {
        return month;
    }

    public void setMonth(String month) {
        this.month = month;
    }

    public BigDecimal getPeak() {
        return peak;
    }

    public void setPeak(BigDecimal peak) {
        this.peak = peak;
    }

    public BigDecimal getHigh() {
        return high;
    }

    public void setHigh(BigDecimal high) {
        this.high = high;
    }

    public BigDecimal getFlat() {
        return flat;
    }

    public void setFlat(BigDecimal flat) {
        this.flat = flat;
    }

    public BigDecimal getValley() {
        return valley;
    }

    public void setValley(BigDecimal valley) {
        this.valley = valley;
    }

    public List<EnergyPriceTimeRange> getRange() {
        return range;
    }

    public void setRange(List<EnergyPriceTimeRange> range) {
        this.range = range;
    }
}
